Bug 165508 - Have an option to automatically add a comment to cross-referenced bugs
Have an option to automatically add a comment to cross-referenced bugs
Status: CLOSED CURRENTRELEASE
Product: Fedora Infrastructure
Classification: Retired
Component: update system (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Luke Macken
Bill Nottingham
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-08-09 18:25 EDT by Dave Malcolm
Modified: 2016-09-19 22:36 EDT (History)
3 users (show)

See Also:
Fixed In Version: 1.0
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-08-22 15:59:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Dave Malcolm 2005-08-09 18:25:00 EDT
The update system already has a list of bug IDs that are fixed by an update.

Could it use XML-RPC to automatically create a comment in all linked bugs when
an update is pushed? (either for testing or for final).  It could give details
of the package and where to find it, and request testing etc.

Additionally, could it automatically close the linked bugs when a final update
is pushed? (could be more

I'm not sure exactly what the interraction model should be in the tools, but
there are plenty of possibilities here.
Comment 1 Luke Macken 2005-08-15 23:21:42 EDT
Implemented.

If you can think of a better default comment, feel free to let me know.
Comment 2 Dave Malcolm 2005-08-22 13:52:56 EDT
Didn't seem to work for me for this update:
https://porkchop.devel.redhat.com/fedora-updates/show.py?pkg=libgal2-2.4.3-1.fc4&update=Final

Bug #160832 didn't get an automatic comment when the update was pushed and the
email sent.
Comment 3 Luke Macken 2005-08-22 15:59:03 EDT
Forgot to `cvs update` on porkchop to get the code to do this.  Should be fixed.

Note You need to log in before you can comment on or make changes to this bug.